Subject: RE: [newtrk] Re: Question about Obsoleted vs. Historic

From: <[email-masked]>
Date: Thu, 14 Jul 2005 15:45:18 +0300

Bruce,

> > There's 'accurate' and there's 'meaningful' - I'll give you the point that
> > it may be accurate, but I am not ready to buy that its meaningful.
> 
> John, what specifically do you believe is a problem that is within the
> jurisdiction of the RFC-Editor (N.B. Status is set by a Standards
> Action, which is IESG's job, and has categories specified in BCP 9)?

Changing the Standards Levels and Processes is one issue, see: 
http://www.ietf.org/internet-drafts/draft-loughney-newtrk-one-size-fits-all-00.txt

but that's not what I'm talking about just now.  What I am simply saying is that
http://www.ietf.org/iesg/1rfc_index.txt is confusing and could be improved.  This is
not a BCP 9 issue, as BCP 9 doesn't specify the format of the RFC Index.

Bob Braden did say:

(me)
 What is the reason for continuing to list something obsolete as a Draft 
 Standard?

(Bob)
 Because Jon Postel always did it that way?  Seriously, the idea is that the document
 was a Draft Standard when it was published.  You can obsolete it, but you cannot
 change its publication status.  Should its status change to Historic when it is
 obsoleted? Maybe, although we have never done it that way (and we do have 20+
 years of history).

         (Note that in fact the RFC Editor added "publication status" to its index
         database last year; the new field is included in rfc-index.xml.  This
         shows the status upon publication, in cases where the status is
         changed later.)

So my feeling is that, if we wanted to, we could modify the index, if there was
consensus.

John

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: Bruce Lilly <[email-masked]>
Date: Tue, 19 Jul 2005 17:39:58 -0400

> What I am simply saying is that
> http://www.ietf.org/iesg/1rfc_index.txt is confusing and could be improved.

So you said some time back.  We clarified that the index is accurate,
but you said "not meaningful".  I have asked, and ask again, what
*specifically* do you find confusing which is within the RFC-Editor's
scope?

> This is 

BCP 9 specifies the process and categories; categories are initially
set and subsequently changed (for standards track RFCs) by Standards
Actions, which must originate in the IESG -- the RFC-Editor cannot
arbitrarily change the status of an RFC.
 
>  change its publication status.

I agree with Bob.

>  Should its status change to Historic when it is 

Such a change of status *could be* handled now via a Standards Action from
the IESG.  What *has* happened is that somebody identifies a problem, writes
an I-D recommending reclassification of some document as Historic, the
I-D goes through the usual process and eventually emerges as a separate RFC,
and finally the subject problem RFC gets reclassified.  While that is
somewhat tedious, it does provide the IESG with a way to gauge consensus
for a status change.
 
> So my feeling is that, if we wanted to, we could modify the index, if there was

We're still on the basics -- what specifically do you think warrants a
change?
.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html